Bug 19340 - Looks does not update when module is enabled/disabled
Looks does not update when module is enabled/disabled
Status: VERIFIED FIXED
Product: contrib
Classification: Unclassified
Component: Looks
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: Petr Hrebejk
issues@contrib
:
Depends on: 19905
Blocks: 16444 18177
  Show dependency treegraph
 
Reported: 2002-01-11 12:49 UTC by Jaroslav Tulach
Modified: 2008-11-18 11:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-01-11 12:49:35 UTC
The looks are not designed to update itself when module is enabled/disabled. 

It seems necessary to enhance the JNDI lookup (issue 17934) to listen on changes
in the systemfilesystem and looks should update itself according to the results.
Comment 1 _ pkuzel 2002-01-11 14:23:21 UTC
Should listen Look or LookNode? From you description it sounds like
you mean Look - but it disappears. I think that listening should do
LookNode (monitor lifetime of Look it has attached). 
Comment 2 Jaroslav Tulach 2002-01-15 09:14:41 UTC
In the new framework the default look is Look.TYPES and it just
delegates to some looks provided by module. It should listen to
changes.
Comment 3 Jaroslav Tulach 2002-01-30 09:20:48 UTC
Needs javax.naming.event.EventContext
Comment 4 Petr Hrebejk 2002-06-24 11:11:55 UTC
Moving Looks issues to dev 4.0
Comment 5 Marian Mirilovic 2003-01-29 12:54:27 UTC
added keyword PROJECTS, because we need to distinguish 
issues against NB4.0 and S1Sx.y
Comment 6 Petr Hrebejk 2003-05-06 15:31:21 UTC
Waiting for replacing JNDI with registry to fix this.
Comment 7 Petr Hrebejk 2003-10-01 17:45:40 UTC
Fixed after the first merge with looks_projfix branch.
Comment 8 pzajac 2004-02-25 14:54:31 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo